searchNodes=[{"doc":"Documentation for RestorationOfErathia. The module is designed to assist with restoration of deleted files from hdd.It is assumed that a tool similar to photorec is used to restore the deleted files. The documentation for using photorec can be found here: https://www.cgsecurity.org/testdisk.pdfTwo things need to be configured: folder path to folder where restored data is and formats that should be separated out of the rest of the restored data.","ref":"RestorationOfErathia.html","title":"RestorationOfErathia","type":"module"},{"doc":"Removes duplicated files from all the folders present in a given path","ref":"RestorationOfErathia.html#deduplicate_all_folders/1","title":"RestorationOfErathia.deduplicate_all_folders/1","type":"function"},{"doc":"Given 2 folder paths, unique and duplicate, finds all files in duplicate folder that already exist in unique folder, based on hashes. Removes all the files with matching hashes from duplicate folder.Examplesiex&gt; r = RestorationOfErathia iex&gt; {:ok, wd} = File.cwd() iex&gt; File.mkdir(&quot;\#{wd}/tmp&quot;) iex&gt; File.touch(&quot;\#{wd}/tmp/test.txt&quot;) iex&gt; File.mkdir(&quot;\#{wd}/tmp2&quot;) iex&gt; File.cp(&quot;\#{wd}/tmp/test.txt&quot;, &quot;\#{wd}/tmp2/test.txt&quot;) iex&gt; r.deduplicate_between_folders(&quot;\#{wd}/tmp&quot;, &quot;\#{wd}/tmp2&quot;) iex&gt; File.rm(&quot;\#{wd}/tmp/test.txt&quot;) iex&gt; File.rmdir(&quot;\#{wd}/tmp&quot;) iex&gt; File.rmdir(&quot;\#{wd}/tmp2&quot;) :ok","ref":"RestorationOfErathia.html#deduplicate_between_folders/2","title":"RestorationOfErathia.deduplicate_between_folders/2","type":"function"},{"doc":"Removes duplicated files inside a folder (using file hash)Examplesiex&gt; r = RestorationOfErathia iex&gt; {:ok, wd} = File.cwd() iex&gt; File.mkdir(&quot;\#{wd}/tmp&quot;) iex&gt; File.touch(&quot;\#{wd}/tmp/test.txt&quot;) iex&gt; File.cp(&quot;\#{wd}/tmp/test.txt&quot;, &quot;\#{wd}/tmp/test2.txt&quot;) iex&gt; r.deduplicate_folder(&quot;\#{wd}/tmp&quot;) iex&gt; File.rm(&quot;\#{wd}/tmp/test2.txt&quot;) iex&gt; File.rmdir(&quot;\#{wd}/tmp&quot;) :ok","ref":"RestorationOfErathia.html#deduplicate_folder/1","title":"RestorationOfErathia.deduplicate_folder/1","type":"function"},{"doc":"Finds all the files that have the specified extension format in a directory and moves them to a directory named after the extension format. Moves all files with unspecified extensions to a merged folder. Test requires specific path setting in module constants.Examplesiex&gt; r = RestorationOfErathia iex&gt; {:ok, wd} = File.cwd() iex&gt; File.mkdir(&quot;\#{wd}/tmp&quot;) iex&gt; File.touch(&quot;\#{wd}/tmp/test&quot;) iex&gt; r.move_to_dir(&quot;\#{wd}/tmp/test&quot;, &quot;*&quot;) iex&gt; File.rm(&quot;\#{wd}/tmp/merged/test&quot;) iex&gt; File.rmdir(&quot;\#{wd}/tmp/merged&quot;) iex&gt; File.rmdir(&quot;\#{wd}/tmp&quot;) :ok","ref":"RestorationOfErathia.html#move_to_dir/2","title":"RestorationOfErathia.move_to_dir/2","type":"function"},{"doc":"Removes all empty folders from a given pathExamplesiex&gt; r = RestorationOfErathia iex&gt; {:ok, wd} = File.cwd() iex&gt; File.mkdir(&quot;\#{wd}/tmp&quot;) iex&gt; File.mkdir(&quot;\#{wd}/tmp2&quot;) iex&gt; r.remove_empty_folders(&quot;\#{wd}&quot;)","ref":"RestorationOfErathia.html#remove_empty_folders/1","title":"RestorationOfErathia.remove_empty_folders/1","type":"function"},{"doc":"Runs the entire helper pipeline:Separates data according to folders according to formats.Merges all unset formats to a single folder.Deduplicates files within the folders.Removes empty folders","ref":"RestorationOfErathia.html#run/0","title":"RestorationOfErathia.run/0","type":"function"}]